-- namespace
Levels = {};

g_nLevelIndex = 0;


-----------------------------------------------------------------------------
-- Notification that a level has started
-----------------------------------------------------------------------------

function BS_OnLevelStarted(nLevelIndex)

	if( nLevelIndex == 1 ) then
		Common:WaitForTimeout(1000);
		Tutorials:ActivateTutorial(TUTORIAL1, FRAME1);
	elseif( nLevelIndex == 2 ) then
		Common:WaitForTimeout(1000);
		Tutorials:ActivateTutorial(TUTORIAL4, FRAME1);
	elseif( nLevelIndex == 5 ) then
		Common:WaitForTimeout(1000);
		Tutorials:ActivateTutorial(TUTORIAL6, FRAME1);
	elseif( nLevelIndex == 16 ) then
		Common:WaitForTimeout(1000);
		Tutorials:ActivateTutorial(TUTORIAL11, FRAME1);
	elseif( nLevelIndex == 17 ) then
		Common:WaitForTimeout(1000);
		Tutorials:ActivateTutorial(TUTORIAL13, FRAME1);
	elseif( nLevelIndex == 19 ) then
		Common:WaitForTimeout(1000);
		Tutorials:ActivateTutorial(TUTORIAL14, FRAME1);
	end
		
	-- set the level index
	g_nNumHighlightsSelected = 0;
	g_nLevelIndex = nLevelIndex;
	
end

--[[
function BS_OnLevelStarted(nLevelIndex)
	if( nLevelIndex == 1 ) then
		for n = 1, 14, 1 do
			Common:WaitForTimeout(3000);
			Tutorials:ActivateTutorial(n, FRAME1);
		end
	end
end
--]]
